The Transaction Grouping Update service allows you to update an existing transaction grouping value in the system.
Service Name
transaction_grouping_update
Required Parameters
| Name | Type |
|---|---|
| transaction_grouping_id | integer |
| name | string |
Optional Parameters
| Name | Type |
|---|---|
| order_by | integer |
Example Curl
curl -u user:pass "https://yourchurch.ccbchurch.com/api.php?srv=transaction_grouping_update&transaction_grouping_id=1&name=Updated+Value"Example Response XML
<?xml version="1.0" encoding="UTF-8"?>
<ccb_api>
<request>
<parameters>
<argument value="transaction_grouping_update" name="srv"/>
<argument value="9" name="transaction_grouping_id"/>
<argument value="BOOKKEEPING" name="name"/>
</parameters>
</request>
<response>
<service>transaction_grouping_update</service>
<service_action>execute</service_action>
<availability>public</availability>
<transaction_groupings count="1">
<transaction_grouping id="9">
<name>BOOKKEEPING</name>
<order_by>9</order_by>
<owner id="1">
<first_name>Larry</first_name>
<last_name>Cucumber</last_name>
<full_name>Larry Cucumber</full_name>
<email>[email protected]</email>
<phones>
<phone type="mobile">0123456789</phone>
</phones>
</owner>
<editable>1</editable>
<listed>1</listed>
<creator id="0">System User</creator>
<modifier id="0">System User</modifier>
<created>0000-00-00 00:00:00</created>
<modified>2014-01-28 10:25:33</modified>
</transaction_grouping>
</transaction_groupings>
</response>
</ccb_api>